### Enumeration

# GtkConstraintStrength

#### Declaration

    enum Gtk.ConstraintStrength

#### Description [src]

The strength of a constraint, expressed as a symbolic constant.

The strength of a `GtkConstraint` can be expressed with any positive integer; the values of this enumeration can be used for readability.

#### Members

`GTK_CONSTRAINT_STRENGTH_REQUIRED`

  The constraint is required towards solving the layout.

  - Value: `1001001000`
  - Nickname: `required`
  - Available since: 4.0
`GTK_CONSTRAINT_STRENGTH_STRONG`

  A strong constraint.

  - Value: `1000000000`
  - Nickname: `strong`
  - Available since: 4.0
`GTK_CONSTRAINT_STRENGTH_MEDIUM`

  A medium constraint.

  - Value: `1000`
  - Nickname: `medium`
  - Available since: 4.0
`GTK_CONSTRAINT_STRENGTH_WEAK`

  A weak constraint.

  - Value: `1`
  - Nickname: `weak`
  - Available since: 4.0